'(
############################################################################
#
#   Lcd Controllerchip : ST7565S  (Vermutlich da kein Datenblatt vom LCD im Netz)
#   Auflsung:           LCD 128x64
#
#   Display: Aus Kyocera FS-1118MFP
#
#
#     Folgende Bascom Befehle arbeiten einwandfrei:
#     GLCDCMD   Command senden
#     GLCDDATA
#     SETFONT   Font whlen
#     LCDAT     Text senden
#    ? SHOWPIC ?
#
#
############################################################################



*****************************************************************************************
*                                                                                       *
*                            ATMega 8                                                   *
*                               __ __                                                   *
*             (RESET)     PC6  1  *  28   PC5 (ADC5/SCL)                                *
*           LCD CS        PD0  2     27   PC4 (ADC4/SDA)                                *
*           LCD Reset     PD1  3     26   PC3 (ADC3)                                    *
*           LCD A0        PD2  4     25   PC2 (ADC2)                                    *
*           LCD Sclk      PD3  5     24   PC1 (ADC1)                                    *
*           LCD Si        PD4  6     23   PC0 (ADC0)                                    *
*                 3,3V     VCC 7     22 GND   GND                                       *
*                GND       GND 8     21 AREF                                            *
*               Quarz     PB6  9     20 AVCC  3,3V                                      *
*               Quarz     PB7  10    19   PB5 SCK                                       *
*                         PD5  11    18   PB4 MISO                                      *
*                         PD6  12    17   PB3 MOSI                                      *
*                         PD7  13    16   PB2                                           *
*                         PB0  14____15   PB1                                           *
*                                                                                       *
*                                                                                       *
*                                                                                       *
*                                                                                       *
*****************************************************************************************

#########  Fuse Bits ATmega8   ##########
#########        LFuseD4       ##########
#########        HfuseD9       ##########

       Mit internem 8Mhz Quarz !!!

      http://www.engbedded.com/fusecalc/
***************************************************************************


             ACHTUNG LCD NUR MIT 3,3VOLT BETREIBEN !!!!!!!!!!!!!!!!!!!!!!

')
$regfile = "m8def.dat"
$crystal = 16000000

$framesize = 100
$swstack = 32
$hwstack = 32



$lib "glcdeadogm128x6.lbx"
Config Graphlcd = 128 * 64eadogm , Cs1 = Portd.0 , A0 = Portd.2 , Si = Portd.4 , Sclk = Portd.3 , Rst = Portd.1
Cls

Waitms 50
'########################################################################################
' Im Datenblatt Seite 52, Tabelle 16:
'########################################################################################
'########################################################################################
'Mit Punkt (2) kann je nach Font die Start Zeile nach oben oder unten verschoben werden #                                                                                      #
'Glcdcmd &B01adress ' Punkt (2)  / Sets the Display RAM Display start line address      #
Glcdcmd &B01000000 ' Punkt (2)  / Sets the Display RAM Display start line address      #
'Glcdcmd &B01000010 ' Punkt (2)  / Sets the Display RAM Display start line address      #
'Glcdcmd &B01000011 ' Punkt (2)  / Sets the Display RAM Display start line address      #
'                                                                                       #
'########################################################################################
Glcdcmd &B10100000 'HA0 Punkt (8)  / ADC select (Normal)    Bild drehen
'Glcdcmd &B10100001 'HA1 Punkt (8)  / ADC select (Reverse)

'Glcdcmd &B10100110 'HA6 Punkt (9)  / Display normal/reverse (Normal)
'Glcdcmd &B10100111 'HA7 Punkt (9)  / Display normal/reverse (Reverse)

'Glcdcmd &B10100100 'HA4 Punkt (10)  / Display all points ON/OFF (Normal Display)
'Glcdcmd &B10100101 'HA5 Punkt (10)  / Display all points ON/OFF (all Ponits ON)

'Glcdcmd &B11000000 'HC0 Punkt (15) / Common output mode select (Normal)
'Glcdcmd &B11001000 'HC8 Punkt (15) / Common output mode select (Reverse)
'(
Cls
'######## Test ############
Glcdcmd &B10100101     'Display all points ON
waitms 500
Cls
Glcdcmd &B10100100     'Display all points OFF
waitms 100
Cls
')

'Showpic 0 , 0 , Plaatje
'Wait 3

Cls
Do
'Cls

'Setfont Font8x8tt
setfont font12x16

Lcdat 1 , 10 , "Hallo Forum"   'Lcddat Hoch/Runter , Rechts/Links "Text"
'Lcdat 3 , 40 , "Forum"
'
setfont font8x8tt
Lcdat 4 , 12 , "LCD aus Kyocera"   'Lcddat Hoch/Runter , Rechts/Links "Text"
Lcdat 6 , 35 ,  "FS-1118MFP"
Lcdat 8 , 30 , "Chip ST7565S"
'Lcdat 7 , 30 , "Job"
'
Wait 1
Loop

End
'Plaatje:
'include the picture data
'$bgf "ks108.bgf"

$include "font12x16.font"
$include "font8x8tt.font"